Requirements

System requirements for IBM Aspera Connect Server:

  • Product-specific Aspera license file.
  • Solaris x86 versions 10 and 11.
  • Solaris SPARC versions 9 and 10.
  • For the web UI, Perl version 5.10 or higher installed in /opt/csw/bin.
  • Glibc 2.5 or higher.
  • SSH Server. Version 5.2 or higher is recommended.

Connect Server supports the following web browsers:

  • On Windows: Internet Explorer 8+, Firefox 27+, Chrome 40+
  • On Mac OS X: Safari 6+, Firefox 27+, Chrome 40+
  • On Linux: Firefox 27+

If you plan to set up and use the Node API, you must also meet the following requirements on each node machine:

  • Identify a directory that you plan to use for sharing data. When you set up the Aspera transfer user (Node API Setup), you set their absolute path (docroot) to this directory.
  • The line 127.0.0.1 localhost must appear in the hosts file. See

    /etc/hosts

  • For UNIX-based nodes, SELinux must be set to "permissive" or "disabled", not "enforced". To check the status of SELinux, run the following:
    # sestatus

    If SELinux is set to "enforced", see Disabling SELinux.